hadoop-eclipse-plugin(版本hadoop2.7.3)

简介: hadoop-eclipse-plugin(版本hadoop2.7.3)

下载我们需要的  hadoop-eclipse-plugin-2.7.3.jar,winutils.exe 和 hadoop.dll

记录安装中遇到的问题

链接:https://pan.baidu.com/s/1g4QpGTJvF1IGd929L8bQxQ

提取码:97ey

可以模仿TA,有问题留言

https://www.cnblogs.com/supiaopiao/p/7240308.html

遇到问题请继续向下看,记得保存最底部有重点

最近,发现新版Eclipse安装的插件不再像以前那样,安装在目录下的plugins的文件夹下,那么,有时候我们自己下载的离线的插件包要放在哪里呢,像往前版本放在目录下的plugins的文件夹下已经不生效了:

那么问题来了,我们在那里找到已经安装的插件包和解压离线的插件放哪里呢?为了解决这个问题,开始我将安装目录的每一个文件都搜了一遍。果然,功夫不负有心人,肯定会隐藏起来,通过配置文件进行关联。

1、找到安装目录的configuration -->> org.eclipse.update (为什么是在这个文件夹里面呢,新版本嘛,所以就在update的配置文件里咯) -->> platform.xml;

2、打开platform.xml文件,看到关键关联代码:url="file:/C:/Users/***/.p2/pool/",原来千呼万唤始出来,隐藏在此处:

3、原来新版安装Eclipse的时候,会在C盘用户文件生成两个关键的配置文件:.eclipse和.p2文件;


4、打开C盘的.p2文件夹(C:/Users/本机电脑/.p2/pool/),找到pool,豁然开朗,发现原来插件文件夹features和plugins在此:

5、打开plugins,所有插件尽览无遗:

以后插件就安装在此目录就可以了,完毕。

思考:Eclipse安装以前的方式不是挺好的吗?为什么要这样呢?原因其实很简单,按照以前做法,试想如果我的电脑装了好多个eclipse,都要用到相同的是不是需要装好多次?按照新版本做法,无论安装多少个版本的Eclipse,插件只需安装一次,所有的eclipse都共用一个插件:


基于hadoop的云盘项目https://blog.csdn.net/qq_40374604/article/details/82908073

目录
相关文章
|
2月前
|
分布式计算 Hadoop Java
Hadoop快速入门——第一章、认识Hadoop与创建伪分布式模式(Hadoop3.1.3版本配置)
Hadoop快速入门——第一章、认识Hadoop与创建伪分布式模式(Hadoop3.1.3版本配置)
113 0
|
10月前
|
分布式计算 资源调度 Hadoop
|
10月前
|
存储 IDE Java
eclipse下载版本选择和使用
eclipse下载版本选择和使用
127 0
|
26天前
|
存储 分布式计算 Hadoop
Hadoop 3.x版本的新特性
【6月更文挑战第18天】
32 2
|
2月前
|
分布式计算 Hadoop 容器
Hadoop组件版本不兼容
【5月更文挑战第7天】Hadoop组件版本不兼容
30 3
|
2月前
|
分布式计算 Hadoop 大数据
最新版本——Hadoop3.3.6单机版完全部署指南
最新版本——Hadoop3.3.6单机版完全部署指南
440 57
|
11月前
|
分布式计算 资源调度 Hadoop
【Flink】版本 1.13+ 集成 Hadoop 问题
【Flink】版本 1.13+ 集成 Hadoop 问题
337 0
|
2月前
|
Java 关系型数据库 BI
基于Java Swing 开发的网吧管理系统【eclipse和idea两个版本运行源码】
基于Java Swing 开发的网吧管理系统【eclipse和idea两个版本运行源码】
|
8月前
|
Java Android开发
Eclipse启动时指定jdk版本
Eclipse启动时指定jdk版本
|
9月前
|
Java 网络安全 Maven
16Maven - maven构建ssh项目(Eclipse版本)
16Maven - maven构建ssh项目(Eclipse版本)
56 0

相关实验场景

更多

推荐镜像

更多